#!/usr/bin/perl
# ONO Hiroki onohiroki@cup.com 2011-02-03
# http://www.opensource.org/licenses/bsd-license
use strict;
use warnings;
use lib "./lib";
use Lens;
use Lens::LensShell;
my $cv_dumped;
my $agv_dumped;
if (-e "/Users/ono2/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS") {
	$cv_dumped = `cat /Users/ono2/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS`;
	$agv_dumped = `cat /Users/ono2/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS`;
}
elsif (-e "/Users/hiroki/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS"){
	$cv_dumped = `cat /Users/hiroki/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS`;
	$agv_dumped = `cat /Users/hiroki/Dropbox/work/perl-lens/Lib/GLASS/CVGLASS`;
}
elsif (-e "/home/hiroki/work/lens/Lib/GLASS/CVGLASS"){
	$cv_dumped = `cat /home/hiroki/work/lens/Lib/GLASS/CVGLASS`;
	$agv_dumped = `cat /home/hiroki/work/lens/Lib/GLASS/CVGLASS`;
}
my $cv_glass_catalog = GlassCatalog->new_with_dumped_data($cv_dumped);
my $agf_glass_catalog = GlassCatalog->new_with_dumped_data($agv_dumped);
my $term = LensShell->new([$agf_glass_catalog,$cv_glass_catalog])->run;